Name:          libkgapi
Version:       5.3.1
Release:       2mamba
Summary:       A KDE-based library for accessing various Google services via their public API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.progdan.cz/2012/05/libkgoogle-libkgapi/
Source:        http://download.kde.org/stable/libkgapi/%{version}/src/libkgapi-%{version}.tar.xz
Patch0:        libkgapi-2.0.2-qt-4.8.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libgcc
BuildRequires: libical-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibKGAPI is a KDE-based library for accessing various Google services via their public API.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}_qt --with-qt --all-name || touch %{name}_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/libkgapi.categories
%{_kde5_libdir}/libKF5GAPIBlogger.so.*
%{_kde5_libdir}/libKF5GAPICalendar.so.*
%{_kde5_libdir}/libKF5GAPIContacts.so.*
%{_kde5_libdir}/libKF5GAPICore.so.*
%{_kde5_libdir}/libKF5GAPIDrive.so.*
%{_kde5_libdir}/libKF5GAPILatitude.so.*
%{_kde5_libdir}/libKF5GAPIMaps.so.*
%{_kde5_libdir}/libKF5GAPITasks.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KGAPI
%dir %{_kde5_includedir}/KGAPI/KGAPI
%{_kde5_includedir}/KGAPI/KGAPI/*
%dir %{_kde5_includedir}/KGAPI/kgapi
%{_kde5_includedir}/KGAPI/kgapi/*
%{_kde5_includedir}/kgapi_version.h
%dir %{_kde5_libdir}/cmake/KF5GAPI
%{_kde5_libdir}/cmake/KF5GAPI/KF5GAPI*.cmake
%{_kde5_libdir}/libKF5GAPIBlogger.so
%{_kde5_libdir}/libKF5GAPICalendar.so
%{_kde5_libdir}/libKF5GAPIContacts.so
%{_kde5_libdir}/libKF5GAPICore.so
%{_kde5_libdir}/libKF5GAPIDrive.so
%{_kde5_libdir}/libKF5GAPILatitude.so
%{_kde5_libdir}/libKF5GAPIMaps.so
%{_kde5_libdir}/libKF5GAPITasks.so
%{_kde5_mkspecsdir}/qt_KGAPI*.pri

%changelog
* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.1-2mamba
- rebuilt with KF5 5.30

* Mon Sep 05 2016 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Mon Jun 03 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Fri Aug 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- package created by autospec
